/*
 * Copyright (C) 1992  Board of Regents of the University of Wisconsin
 * on behalf of the Department of Electrical Engineering and Computer
 * Science, University of Wisconsin-Milwaukee, Milwaukee, WI 53201.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * The programs in this directory were developed by software engineering
 * teams as part of the course "Introduction to Software Engineering"
 * under the supervision of Professor G. Davida.
 *
 * Please send all changes, enhancements, and other comments about this
 * software to
 *
 *     		soft-eng@cs.uwm.edu
 *
 *			or
 *		
 *		Software Engineering Coordinator
 *		Computer Science
 *   		Department of EECS
 *		University of Wisconsin - Milwaukee
 *		Milwaukee, WI  53201
 *		414-229-4677
 */
/* $Log:	display_hex.c,v $
 * Revision 1.2  93/01/02  19:12:09  jimj
 * Removed Xw stuff
 * replaced by Xaw text editor
 * 
 * Revision 1.1  1992/09/24  23:51:42  jimj
 * Initial revision
 *
 */
#include <sys/types.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/AsciiText.h>

/*  Stuff from other files */

extern char *data_all[];
static Widget hexedit;

void create_display_hex(parent)
Widget parent;
{
     Arg wargs[7];

     XtSetArg(wargs[0], XtNtype, XawAsciiString);
     XtSetArg(wargs[1], XtNscrollVertical, XawtextScrollAlways);
     XtSetArg(wargs[2], XtNwrap, XawtextWrapLine);
     XtSetArg(wargs[3], XtNdisplayCaret, FALSE);
     XtSetArg(wargs[4], XtNstring, "James Jegers   jimj@cs.uwm.edu");

     hexedit = XtCreateManagedWidget("hexedit", asciiTextWidgetClass, parent,
      				     wargs, 5);
}

draw_hex(position)
int position;
{
     Arg wargs[3];
     char data[ (1518 / 20) * 120 ];

     data[0] = '\0';
     packet2hexascii(data, data_all[position]);

     XtSetArg(wargs[0], XtNstring, data);
     XtSetValues(hexedit, wargs, 1);
}

