/*
 * Copyright (C) 1992  Board of Regents of the University of Wisconsin
 * on behalf of the Department of Electrical Engineering and Computer
 * Science, University of Wisconsin-Milwaukee, Milwaukee, WI 53201.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * The programs in this directory were developed by software engineering
 * teams as part of the course "Introduction to Software Engineering"
 * under the supervision of Professor G. Davida.
 *
 * Please send all changes, enhancements, and other comments about this
 * software to
 *
 *     		soft-eng@cs.uwm.edu
 *
 *			or
 *		
 *		Software Engineering Coordinator
 *		Computer Science
 *   		Department of EECS
 *		University of Wisconsin - Milwaukee
 *		Milwaukee, WI  53201
 *		414-229-4677
 */
 /* $Log:	utils.c,v $
 * Revision 1.3  93/01/02  19:00:43  jimj
 * Now convert hex to one big string
 * 
 * Revision 1.2  92/12/31  23:55:29  jimj
 * Minor cleanup fixes
 * 
 * Revision 1.1  1992/09/24  23:51:42  jimj
 * Initial revision
 *
 */

#include <stdio.h>
#include <ctype.h>

char hex2char();

	/*  Pad out a string to a certain size */

char *sizeit(string, size)
char *string;
int size;
{
	int loop;

   	string[size] = '\0';
	for(loop = strlen(string); loop < size; loop++) 
		string[loop] = ' ';
	return(string);
}

	/*  Convert a big string into many lines */
	/*  Used in the display hex portion when it displays a whole packet */

packet2hexascii(retstring, packet)
char *retstring;
char *packet;
{
   char letter, string[150];
   int packetlen, loop, convert;
   int stringpos = 0;

   packetlen = strlen(packet);
   for (loop = 0; loop < packetlen; loop++)
   {
      string[stringpos++] = packet[loop];

      	/*  If copied 20 bytes then space and print in ascii */
      if (stringpos == 60) {
           string[stringpos++] = ' '; string[stringpos++] = ' ';
           string[stringpos++] = ' '; string[stringpos++] = ' ';
           string[stringpos++] = ' ';
   
           string[stringpos++] = hex2char(string);

	   for(convert = 1; convert * 3 < 60; convert++) {
                string[stringpos++] = hex2char(&string[ convert * 3]);
           }
           	/*  Finish the string with EOF characters */
           string[stringpos++] = ' ';
           string[stringpos++] = '\n';
           string[stringpos++] = '\0';
           strcat(retstring, string);
      	   stringpos = 0;
      } /* if */
   }  /* for */

   	/*  All the full lines are done, finish up any line
   	 *  which might be only half done
   	 *  Pad with some spaces    	*/

   for (; stringpos < 65; stringpos++)
      string[stringpos] = ' ';

   string[stringpos++] = hex2char(string);

   for(convert = 1; convert * 3 < 60; convert++) 
       string[stringpos++] = hex2char(&string[convert * 3] );

       	/* Finish off the string */
   string[stringpos++] = ' ';
   string[stringpos++] = '\n';
   string[stringpos++] = '\0';
   strcat(retstring, string);
}

  /*  Given a string, convert it to a number and then see if the number
   *  is printable, if not return a '.' marking unprintable
   */
char hex2char(string)
char *string;
{
 	char new[5];
 	char ch;

 	new[0] = string[0];
 	new[1] = string[1];
 	new[2] = '\0';

 	ch = (char) strtol(new, (char **) NULL, 16);
 	ch &= 0x7f;
 	if (isprint(ch)) 
 		return(ch);
  	else
  		return('.');	
}

stringpad(string, padchar, totalsize)
   char *string;
   char padchar;
   int totalsize;
{
   int loop;

   for(loop = strlen(string); loop < totalsize; loop++)
       string[loop] = padchar;
   string[loop] = '\0';
}

