/*
 * Copyright (C) 1992  Board of Regents of the University of Wisconsin
 * on behalf of the Department of Electrical Engineering and Computer
 * Science, University of Wisconsin-Milwaukee, Milwaukee, WI 53201.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * The programs in this directory were developed by software engineering
 * teams as part of the course "Introduction to Software Engineering"
 * under the supervision of Professor G. Davida.
 *
 * Please send all changes, enhancements, and other comments about this
 * software to
 *
 *     		soft-eng@cs.uwm.edu
 *
 *			or
 *		
 *		Software Engineering Coordinator
 *		Computer Science
 *   		Department of EECS
 *		University of Wisconsin - Milwaukee
 *		Milwaukee, WI  53201
 *		414-229-4677
 */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Paned.h>
#include "version.h"

extern void quit_button();
extern void graph_button();
extern void sample_button();
extern void analyse_button();

main(argc, argv)
int argc;
char *argv[];
{
Widget toplevel, panel, widget, commands;
Arg wargs[2];

#ifdef sun
    if (argc != 2) {
	printf("Usage: %s <interface>.\n", argv[0]);
	exit(1);
    }
#endif sun

toplevel = XtInitialize(argv[0], "X Network Packet Analyzer", 
			NULL, 0, &argc, argv);

panel = XtCreateManagedWidget("panel", panedWidgetClass, toplevel, NULL,0);

XtSetArg(wargs[0], XtNlabel, VERSION);
widget = XtCreateManagedWidget("title", labelWidgetClass, panel,wargs,1);

commands = XtCreateManagedWidget("box", boxWidgetClass, panel,NULL,0);

graph_button(commands, &argv[1]);
sample_button(commands, &argv[1]);
analyse_button(commands, &argv[1]);
quit_button(commands);

XtRealizeWidget(toplevel);
XtMainLoop();
} /*  Main program  */

