/*
 * Copyright (C) 1992  Board of Regents of the University of Wisconsin
 * on behalf of the Department of Electrical Engineering and Computer
 * Science, University of Wisconsin-Milwaukee, Milwaukee, WI 53201.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * The programs in this directory were developed by software engineering
 * teams as part of the course "Introduction to Software Engineering"
 * under the supervision of Professor G. Davida.
 *
 * Please send all changes, enhancements, and other comments about this
 * software to
 *
 *     		soft-eng@cs.uwm.edu
 *
 *			or
 *		
 *		Software Engineering Coordinator
 *		Computer Science
 *   		Department of EECS
 *		University of Wisconsin - Milwaukee
 *		Milwaukee, WI  53201
 *		414-229-4677
 */

#include <sys/types.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Box.h>

#include "defs.h"

extern Widget edit_one_line();

Widget from1, to1, ptype, from2, to2, save;

/*  From1 To1 are the static texts
 *  from1 to1 are the fill in the blanks, TextEdit 
 */
fillintheblanks(parent)
Widget parent;
{
   Widget p, box;
   Arg wargs[5];

   box = XtCreateManagedWidget("box", boxWidgetClass, parent, NULL, 0);

     XtSetArg(wargs[0], XtNlabel, "From");
     p = XtCreateManagedWidget("From", labelWidgetClass, box, wargs, 1);
     from1 = edit_one_line("from1", box);

     XtSetArg(wargs[0], XtNlabel, "AND");
     p = XtCreateManagedWidget("AND", labelWidgetClass, box, wargs, 1);

     XtSetArg(wargs[0], XtNlabel, "To");
     p = XtCreateManagedWidget("To", labelWidgetClass, box, wargs, 1);
     to1 = edit_one_line("to1", box);

/* */

   XtSetArg(wargs[0], XtNlabel, "OR");
   p = XtCreateManagedWidget("OR", labelWidgetClass, parent, wargs, 1);

/* */

   box = XtCreateManagedWidget("box", boxWidgetClass, parent, NULL, 0);

     XtSetArg(wargs[0], XtNlabel, "From");
     p = XtCreateManagedWidget("From", labelWidgetClass, box, wargs, 1);
     from2 = edit_one_line("from2", box);

     XtSetArg(wargs[0], XtNlabel, "AND");
     p = XtCreateManagedWidget("OR", labelWidgetClass, box, wargs, 1);

     XtSetArg(wargs[0], XtNlabel, "To");
     p = XtCreateManagedWidget("To", labelWidgetClass, box, wargs, 1);
     to2 = edit_one_line("to2",   box);

/* */

   box = XtCreateManagedWidget("box", boxWidgetClass, parent, NULL, 0);
     XtSetArg(wargs[0], XtNlabel, "Type");
     p = XtCreateManagedWidget("Packet Type", labelWidgetClass, box, wargs, 1);
     ptype = edit_one_line("type", box);

     XtSetArg(wargs[0], XtNlabel, "Save Name");
     save = XtCreateManagedWidget("Save", labelWidgetClass, box, wargs, 1);
     save = edit_one_line("save",  box);

} /* Fill in the blanks */

void get_text(data)
char *data[6];
{
  extern char *getlabel();

  data[FROM1] = getlabel(from1);
  data[TO1]   = getlabel(to1);

  data[FROM2] = getlabel(from2);
  data[TO2]   = getlabel(to2);

  data[TYPE] = getlabel(ptype);
  	/*  If a type was specified, and it was arp or ip, then
  	 *  Convert that to the number for it
  	 */
  if (data[TYPE][0] && (!strcmp(data[TYPE], "ARP") || 
			!strcmp(data[TYPE], "arp") )) {
       data[TYPE] = (char *) malloc(5);
       strcpy(data[TYPE], "0806");
  }

  if (data[TYPE][0] && (!strcmp(data[TYPE], "IP") || 
			!strcmp(data[TYPE], "ip") )) {
       data[TYPE] = (char *) malloc(5);
       strcpy(data[TYPE], "0800");
  }

}

void get_save(name)
char *name;
{
	char *got;
	extern char *getlabel();

	got = getlabel(save);
	if (got[0] == 0) 
		strcpy(name, SAVENAME);  
	else
		strcpy(name, got);
}

