/*
 * Copyright (C) 1992  Board of Regents of the University of Wisconsin
 * on behalf of the Department of Electrical Engineering and Computer
 * Science, University of Wisconsin-Milwaukee, Milwaukee, WI 53201.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * The programs in this directory were developed by software engineering
 * teams as part of the course "Introduction to Software Engineering"
 * under the supervision of Professor G. Davida.
 *
 * Please send all changes, enhancements, and other comments about this
 * software to
 *
 *     		soft-eng@cs.uwm.edu
 *
 *			or
 *		
 *		Software Engineering Coordinator
 *		Computer Science
 *   		Department of EECS
 *		University of Wisconsin - Milwaukee
 *		Milwaukee, WI  53201
 *		414-229-4677
 */

#include <stdio.h>
#include <sys/file.h>
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Label.h>

#include "defs.h"
#include "version.h"

extern void start_button();
extern void stop_button();
extern void quit_button();
extern void status_line();

int filedes;

main(argc, argv)
int argc;
char *argv[];
{
	Widget toplevel, panel, title, status, commands;
	Arg wargs[2];
	char *filter = NULL;

	extern char *optarg;
	extern int optind;
	int option;

#ifdef ultrix
#define HAVEPF
	while ((option = getopt(argc, argv, "f:")) != EOF)
		switch(option) {
		        case 'f':
				filter = optarg;
				break;
			}
	if (optind < argc) {
		printf("Ethernet sampler program\n");
		printf("Usage: [-f filter name]\n");
		printf("Filter name in form of  pf0, pf1, etc\n");
		exit(2);
	}

	filedes = openethercard(filter);
#endif

#ifdef sun
#define HAVEPF
	if (argc != 2) {
		printf("Ethernet sampler program\n");
		printf("Usage: device\n");
		exit(2);
	}	
	filter = argv[1];
	filedes = openethercard(filter);
#endif
	
#ifndef HAVEPF
	fprintf(stderr, "Sorry this program only runs under ultrix\n");
	fprintf(stderr, "Using stdin as input\n");
	filedes = 0;
#endif
	
	toplevel = XtInitialize(argv[0], "X Network Packet Sampler", 
				NULL, 0, &argc, argv);
	
	panel = XtCreateManagedWidget("panel", panedWidgetClass, toplevel, 
				      NULL, 0);
	
	XtSetArg(wargs[0], XtNlabel, VERSION);
	title = XtCreateManagedWidget("title", labelWidgetClass, panel, 
				      wargs, 1);
	XtSetArg(wargs[0], XtNlabel, VERSION2);
	title = XtCreateManagedWidget("title", labelWidgetClass, panel, 
				      wargs, 1);
	
	  	/*  Draw the fillin the blank boxes */
	fillintheblanks(panel);
	
	commands = XtCreateManagedWidget("commands", boxWidgetClass, panel,
				         NULL, 0);
	    start_button(commands);
   	    stop_button (commands);
	    quit_button (commands);
	    status_line (commands);
	
	XtRealizeWidget(toplevel);
	XtMainLoop();
	close(filedes);

} /*  Main program  */

